/*------------------------------------*\
    #ICON
\*------------------------------------*/
/**
 * Icon helpers
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.helpers';

.#{$inuit-namespace}icon,
%#{$inuit-namespace}icon {
    &--before {
        background-position: 0 center;
        padding-left: $frs-base-icon-width + $frs-base-icon-margin;
        padding-right: 0;
    }

    &--after {
        background-position: right center;
        padding-left: 0;
        padding-right: $frs-base-icon-width + $frs-base-icon-margin;
    }

    &--squared {
        background-color: $frs-color-blue;
        background-position: center center;
        background-size: ($frs-base-unit-small * .7) ($frs-base-unit-small * .7);
        display: inline-block;
        height: $frs-base-unit-small;
        padding: 0;
        width: $frs-base-unit-small;

        @media #{$large-up} {
            height: $frs-base-unit;
            width: $frs-base-unit;
            background-size: ($frs-base-unit) ($frs-base-unit);
        }
    }
}
